[graph-tool] Boost.Python.ArgumentError: Python argument types did not match C++ signature

P-M pmj27 at cam.ac.uk
Thu Feb 23 16:33:54 CET 2017


The odd thing though is that graph-tool is compiled against
/home/pmj27/anaconda2/bin/python2.7. The anaconda boost is installed through
conda so should also be linked against that. I can try and tell configure
explicitely to take its boost libraries from /home/pmj27/anaconda2/lib/. As
far as I can tell all the library files reside in that folder. What would I
need to specify for that? (My proficiency isn't great enough to piece it
together from the manual unfortuantely.) As far as I can tell by the output
reproduced by ldd
/home/pmj27/anaconda2/lib/python2.7/site-packages/graph_tool/libgraph_tool_core.so
though the boost libraries used by graph-tool are the anaconda boost
libraries as they reside in /home/pmj27/anaconda2/lib/ so it isn't clear to
me if that would change much. Or am I missing a vital piece here? 



--
View this message in context: http://main-discussion-list-for-the-graph-tool-project.982480.n3.nabble.com/Boost-Python-ArgumentError-Python-argument-types-did-not-match-C-signature-tp4027056p4027061.html
Sent from the Main discussion list for the graph-tool project mailing list archive at Nabble.com.



More information about the graph-tool mailing list